function [feat nb dim]=loadFeatures(file)
% -------------Added by caicai-------------
%% load features from a feature file
%
%% INPUT: 
%  file -- input file name
%  <<format>>
% dim
% n
% x_1 y_1 a_1 b_1 c_1 f_1_1 .. f_1_dim
%      :
%      :
% x_n y_1 a_n b_n c_n f_n_1 .. f_n_dim
%
% x,y,a,b,c are 5 parameters for an ellipse:  a(x-u)(x-u)+2b(x-u)(y-v)+c(y-v)(y-v)=1
% For a circle with radius r, a = 1/r^2, b = 0, c = 1/r^2.
%
%% OUTPUT:
% feat -- feature matrix ((5+dim)*n), each collumn corresponds to one region
% nb   -- region number
% dim  -- descriptor dimemsion 
%
% Also see writeFeatures.m for writing a file.
% ----------- 14th, Nov, 2009 --------------

fid = fopen(file, 'r');
dim=fscanf(fid, '%f',1);
% if dim==1
%     dim=0;
% end
nb=fscanf(fid, '%d',1);
feat = fscanf(fid, '%f', [5+dim, inf]);
fclose(fid);
end