function writeFeatures(feat,file_txt)
% -------------Added by caicai-------------
%% Write features into a feature file
%
%% INPUT:
% feat    -- feature matrix (n*(5+dim)), each row corresponds to one region
% file_txt-- output feature file name
%  <<format>>
% dim
% n
% x_1 y_1 a_1 b_1 c_1 f_1_1 .. f_1_dim
%      :
%      :
% x_n y_1 a_n b_n c_n f_n_1 .. f_n_dim
%
% x,y,a,b,c are 5 parameters for an ellipse:  a(x-u)(x-u)+2b(x-u)(y-v)+c(y-v)(y-v)=1
% For a circle with radius r, a = 1/r^2, b = 0, c = 1/r^2.
%
% Also see loadFeatures.m for loading a file.
%
% ----------- 14th, Nov, 2009 --------------

fidi = fopen(file_txt,'wt');
fprintf(fidi,'%d', size(feat,2)-5);
fprintf(fidi,'\n');
fprintf(fidi,'%d',size(feat,1));
fprintf(fidi,'\n');
for pp =1:size(feat,1)
    fprintf(fidi,'%f ',feat(pp,:));
    fprintf(fidi,'\n');
end;
fclose(fidi);
end